package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the status database table.
 * 
 */
@Entity
public class Status implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idstatus;

	@Lob
	private String content;

	private String datecreate;

	//bi-directional many-to-one association to CommentStatus
	@OneToMany(mappedBy="status")
	private List<CommentStatus> commentstatuses;

	//bi-directional many-to-one association to ShareType
	@ManyToOne
	@JoinColumn(name="idshare")
	private ShareType sharetype;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	//bi-directional many-to-one association to StatusLike
	@OneToMany(mappedBy="status")
	private List<StatusLike> statuslikes;

	public Status() {
	}

	public String getIdstatus() {
		return this.idstatus;
	}

	public void setIdstatus(String idstatus) {
		this.idstatus = idstatus;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getDatecreate() {
		return this.datecreate;
	}

	public void setDatecreate(String datecreate) {
		this.datecreate = datecreate;
	}

	public List<CommentStatus> getCommentstatuses() {
		return this.commentstatuses;
	}

	public void setCommentstatuses(List<CommentStatus> commentstatuses) {
		this.commentstatuses = commentstatuses;
	}

	public ShareType getSharetype() {
		return this.sharetype;
	}

	public void setSharetype(ShareType sharetype) {
		this.sharetype = sharetype;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

	public List<StatusLike> getStatuslikes() {
		return this.statuslikes;
	}

	public void setStatuslikes(List<StatusLike> statuslikes) {
		this.statuslikes = statuslikes;
	}

}